This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### append()
Examples |
    String[] sa1 = { "OH", "NY", "CA"};
    String[] sa2 = append(sa1, "MA");
    println(sa2);
    // Prints updated array contents to the console:
    // [0] "OH"
    // [1] "NY"
    // [2] "CA"
    // [3] "MA"
Description | Expands an array by one element and adds data to the new position. The datatype of the element parameter must be the same as the datatype of the array. When using an array of objects, the data returned from the function must be cast to the object array's data type. For example: SomeClass[] items = (SomeClass[]) append(originalArray, element)
Syntax |
    append(array, value)
Parameters |
array | Object, String[], float[], int[], char[], or byte[]: array to append
value | Object, String, float, int, char, or byte: new data for the array
Returns | byte[], char[], int[], float[], String[], or Object
Related | shorten() expand()

Updated on October 26, 2013 08:58:31pm PDT